/*
 * Copyright 2022 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

/***********************************************************************************/
/* This file is automatically generated using bindtool and can be manually edited  */
/* The following lines can be configured to regenerate this file during cmake      */
/* If manual edits are made, the following tags should be modified accordingly.    */
/* BINDTOOL_GEN_AUTOMATIC(0)                                                       */
/* BINDTOOL_USE_PYGCCXML(0)                                                        */
/* BINDTOOL_HEADER_FILE(ccsds_non_coherent_return.h)                               */
/* BINDTOOL_HEADER_FILE_HASH(0)                                                    */
/***********************************************************************************/

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gnuradio/sidloc/ccsds_non_coherent_return.h>
// pydoc.h is automatically generated in the build directory
#include <ccsds_non_coherent_return_pydoc.h>

void bind_ccsds_non_coherent_return(py::module& m)
{

    using ccsds_non_coherent_return = ::gr::sidloc::ccsds_non_coherent_return;


    py::class_<ccsds_non_coherent_return,
               gr::sidloc::code,
               std::shared_ptr<ccsds_non_coherent_return>>(
        m, "ccsds_non_coherent_return", D(ccsds_non_coherent_return))

        .def_static("make_shared",
                    &ccsds_non_coherent_return::make_shared,
                    py::arg("seed_A"),
                    py::arg("seed_C"),
                    D(ccsds_non_coherent_return, make_shared));
}
